%global npm_name snapdragon-capture
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.2.0
Release: %mkrel 4
Summary: Snapdragon plugin that adds a capture method to the parser instance
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/snapdragon-capture
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.2.0-4.mga9
+ Revision: 1818653
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-3.mga8
+ Revision: 1503176
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.0-2.mga7
+ Revision: 1280948
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 0.2.0-1.mga7
+ Revision: 1225907
- imported package nodejs-snapdragon-capture

